NEWS API
Response and request schema references are described in API schemas.
GET /stats/news/reactions
Section titled “GET /stats/news/reactions”News Reactions
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
event_source |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Event source: sentiment or sentiment_crypto. Defaults to sentiment. |
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
direction |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Optional sentiment direction filter: negative, neutral, or positive |
min_impact_score |
query | No | {"anyOf": [{"type": "number", "maximum": 1.0, "minimum": 0.0}, {"type": "null"}]} |
Only include events with at least this classified impact score |
limit |
query | No | {"type": "integer", "maximum": 5000, "minimum": 1, "default": 1000} |
Maximum number of classified news events to process |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/news/reactions/summary
Section titled “GET /stats/news/reactions/summary”News Reactions Summary
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
event_source |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Event source: sentiment or sentiment_crypto. Defaults to sentiment. |
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
direction |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Optional sentiment direction filter: negative, neutral, or positive |
min_impact_score |
query | No | {"anyOf": [{"type": "number", "maximum": 1.0, "minimum": 0.0}, {"type": "null"}]} |
Only include events with at least this classified impact score |
limit |
query | No | {"type": "integer", "maximum": 5000, "minimum": 1, "default": 1000} |
Maximum number of classified news events to process |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}